# setMustRunAfter

abstract fun setMustRunAfter(mustRunAfter: Iterable<out Any>)

Specifies the set of tasks that this task must run after.

    task taskY {
        mustRunAfter = ["taskX1", "taskX2"]
    }

Content copied to clipboard

For each supplied task, this action adds a task 'ordering', and does not specify a 'dependency' between the tasks. As such, it is still possible to execute 'taskY' without first executing the 'taskX' in the example.

See here for a description of the types of objects which can be used to specify an ordering relationship.

#### Parameters

mustRunAfter

The set of task paths this task must run after.